* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
  text-decoration: none;
 transition: opacity .2s ease, transform .2s ease;
}

html, body {
  height: 100%;
}
body {
   overflow: hidden;
  display: flex;
  flex-direction: column;
}

:root {
  --bg: #FFFCF4;
  --black: #000;
}

body {
  background: var(--bg);
  color: var(--black);
  line-height: 1.35;
}

main {
flex: 1;
  min-height: 0;

}

@font-face {
    font-family: "Light";
    src: url(ABCArizonaFlare-Light-Trial.otf);
     font-display: swap;
}
@font-face {
    font-family: "Bold";
    src: url(ABCArizonaFlare-Bold-Trial.otf);
     font-display: swap;
}
@font-face {
    font-family: "Medium";
    src: url(ABCArizonaFlare-Medium-Trial.otf);
     font-display: swap;
}
/* HEADER / LOGO */

.header {
  padding: 1.5rem;

}

.logo {
  width: 726px;
  max-width: 100%;
}

/* GRID PRINCIPALE */

.grid {
  display: grid;
  grid-template-columns: 200px 1fr;
  flex: 1;
  min-height: 0;
}


/* NAV */

.nav {
  display: flex;
  flex-direction: column;
line-height: 1.2;
font-family: Bold;
  font-size: 28px;
  margin-left: 1.5rem;

}

.nav a {
  font-weight: 900;
  text-decoration: none;
  color: var(--black);
  cursor: pointer;
  z-index: 20;
}

.nav a.active {
  text-decoration: underline;
}

/* CONTENT */

.label-mobile {
    font-weight: 900;
    font-size: 28px;
    margin-bottom: .5rem;
    margin-top: -.7rem;
  text-decoration: none;
  color: var(--black);
  cursor: default;
  z-index: 20;
  display: block;
  text-transform: uppercase;
font-family: Bold;
}

.block {
 font-family: Light;
  margin-bottom: 1.5rem;
}

.block h2 {
  font-size: 16px;
  font-weight: 700;
  margin-bottom: 1rem;
   font-family: Bold;
font-weight: bolder;
}

.block p {
 font-size: 18px;
}

.block ol {
    padding-top:1.5rem ;
  padding-left: 2rem;
   font-size: 18px;
}


.content {
  max-width: 560px;
  justify-self: end;
  line-height: 1;
  margin-right: 1.5rem;

  display: flex;
  flex-direction: column;
  min-height: 0; /* CRUCIAL */
}


.content-panel {
 position: absolute;
  width: 100%;
  transform: translateY(50px);
  pointer-events: none;
  transition: opacity .25s ease, transform .25s ease;
}


.content-panel.is-active {
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
  position: relative;
}

.content--boxed {
  position: relative;
  height: 100%;
  padding: 1.5rem 1.5rem;
   display: flex;
     flex: 1;
  flex-direction: column;
}

.content--boxed::after {
  content: "";
  position: absolute;
  left: 1.5rem;
  right: 1.5rem;
  bottom: 1.5rem;

  height: 50px;
  pointer-events: none;

  background: linear-gradient(
    to bottom,
    rgba(255,252,244,0) 0%,
    rgba(255,252,244,1) 100%
  );
}


.content-scroll {
  flex: 1;
  overflow-y: auto;
  padding-right: 1.5rem;
  min-height: 0; /* CRUCIAL */
}

  
.content-scroll::-webkit-scrollbar {
  display: none;               /* Chrome / Safari */
}




.corner-dot {
    z-index: 20;
    width: 5px;
    height: 5px;
    background: var(--black);
    border-radius: 50%;
    position: absolute;
display: none;
  pointer-events: none;
  }

.content.has-content .corner-dot {
display: block;
}

  .top-left {
    border-radius: 0%; 
    width: 7px;
    height: 7px;
  top: -3px;
  left: -3px;
animation-name: clignoter;
   animation-iteration-count: infinite;
      animation-duration: .8s;
}

.top-right {
  top: -3px;
  right: -3px;
}


.bottom-left {
  bottom: -3px;
  left: -3px;
}

.bottom-right {
  bottom: -3px;
  right: -3px;
}


@keyframes clignoter {
 0%   { opacity:1; }
  30%   {opacity:0; }
  60% {opacity:0; }
  100% { opacity:1; }
}




/* FOOTER */

.footer {
  padding: 1.5rem 1.5rem;
  display: grid;
  grid-template-columns: 1fr auto;
  row-gap: 1rem;
  text-transform: uppercase;

}

a {
    text-decoration: none;
    color: var(--black);
    cursor: pointer;
}
.footer h2 {
    font-family: Bold;
  font-size: 28px;
      grid-column: 1;
}

.member span {
    font-family: Medium;
    font-weight: 500;
      font-size: 18px;
}

.member {
     font-family: Light;
  font-size: 18px;
    grid-column: 1;
    line-height: 1;

}

a:hover {
  color: rgb(122, 125, 131);
  transition: .4s ease;
}

.meta {
 bottom: 0;
align-items: flex-end;
    font-family: Light;
  display: flex;
gap: 20.5rem;
  grid-column: 2;
  text-align: right;
  justify-content: space-between;
  font-size: 18px;
;
}

.shuffle {
  display: inline-block;
  white-space: nowrap;
  min-width: 10ch; /* ou largeur exacte */
  text-align: right;
      cursor: pointer;
}
.logo--mobile {
  display: none;
}

.nav-team {
  display: none;
}

.content-team {
  display: none;
}

/* RESPONSIVE */

@media (max-width: 870px) {
  
html, body {
  height: 100%;
}

body {
  overflow: hidden;
}
  .content--boxed::after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;

  height: 60px; /* ajuste */
  pointer-events: none;

  background: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0) 0%,
    rgba(255,252,244,1) 100%
  );
}

.label-mobile {
    font-weight: 900;
    font-size: 20px;
    margin-bottom: .5rem;
    margin-top: -.5rem;
  text-decoration: none;
  color: var(--black);
  cursor: pointer;
  z-index: 20;
  display: block;
  text-transform: uppercase;
font-family: Bold;
}

.content.has-content .corner-dot {
position: absolute;
z-index: 20;
isolation: isolate;
overflow: visible;
}
    main {
    display: flex;
    flex-direction: column;
        overflow: visible;
    height: 100dvh;
  }

  .grid {
    display: flex;
    flex-direction: column;
     overflow: visible;
    flex: 1;
    min-height: 0;
  }

  .nav {
    flex-shrink: 0;
    min-height: 4rem;
        font-size: 20px;
  }

  .content {
    flex: 1;
    max-width: none;
    margin: 0 1.5rem 1.5rem 8rem;
    padding-bottom: 1rem; /* espace visuel bas */
  }

  .content-scroll {
    height: 100%;
    padding-right: 0;
    overflow-y: auto;
    padding-bottom: .5rem; /* 👈 IMPORTANT */
  }
.nav-team {
    display: block;
    margin-top: auto;
  }

  .nav {
    display: flex;
    z-index: 20;
     min-height: 4rem;
  }
   .footer {
    display: none;
  }

  .content--boxed {
    height: auto;
     position: relative;
    isolation: isolate;
    padding: .5rem;
  }
li {
  font-size: 16px;
  padding-bottom: 1rem;
}

.nav, .footer h2 {
    font-size: 22px;
}
.member, .meta {
    display: none;
}
.content-panel-content-team, .block p{
margin-bottom: 1rem;
}
 .content-team.is-active {
    display: block;
  }

 .logo--desktop {
    display: none;
  }
#mobile_team {
  position: absolute;
  bottom: 1.2rem;
      font-size: 20px;
}
  .logo--mobile {
    display: block;
    width: 100%; /* ajuste */
  }
.block p{
        font-size: 16px;
}



}